VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisiMath.Geometry.Point3DList Class Reference

List of points. More...

Inheritance diagram for VisiMath.Geometry.Point3DList:

List of all members.

## Public Member Functions
override IGeometry | GetCopy ()
| Returns copy of the geometric data.
| Point3DList (System.Xml.XmlReader reader)
| XML reader constructor.
| Point3DList (int count)
| Construct point list with specified number of vertices.
| Point3DList (IVertexArray source)
| Construct pointlist from vertex array.
| Point3DList (Type VertexType, IVertexArray source)
| Construct pointlist from vertex array with different vertextype.
| Point3DList (Type VertexType, int count)
| Construct pointlist with specified vertex type and number of vertices.
override Point3DList | ToPoints (Type VertexType, float quality=0, int vertexlimit=0)
| No conversion needed, returns pointer to self unless diferent vertextype is requested.
override LineList | ToLines (Type VertexType, float quality=0, int vertexlimit=0)
| Point list can't be converted to the line list, returns null.
override TriangleList | ToTriangles (Type VertexType, float quality=0, int vertexlimit=0)
| Point list can't be converted to the triangle list, returns null.
override IndexedMesh | ToIndexedMesh (Type VertexType, float quality=0, int vertexlimit=0)
| Point list can't be converted to the mesh, returns null.
override float | Distance (IGeometry obj)
| Returns closest distance from the generic geometric object.
override float | Distance (Ray ray, bool frontOnly=false)
| Returns closest distance to the ray.
override float | Distance (ref Vector3 pos)
| For generic geometry returns distance from the center of the object.
override float | DistanceLineSegment (ref Vector3 pos1, ref Vector3 pos2)
| Returns closest distance to the line segment. Generic, from center, OVERRIDE!
override float | DistanceSphere (ref Vector3 center, float radius)
| Returns closest distance to the sphere.
override float | DistanceTriangle (ref Vector3 pos1, ref Vector3 pos2, ref Vector3 pos3)
| Returns closest distance to the triangle.
override bool | Intersects (IGeometry obj)
| Checks for intersection with generic geo object.
override bool | ContainsPosition (Vector3 pos)
| Checks if specified position is inside the object.
override Vector3 | IntersectionPoint (IGeometry obj)
| Returns closest point of the intersection between object and ray.
override bool | GetIntersectionInfo (Ray obj, ref IIntersectionInfo inters)
| Check for intersection and fills intersection info if intersection is closer to the origin of the ray then value before.
override bool | GetIntersectionInfo (Ray obj, IntersectionList ilist)
| Adds all points touching the ray to the list.
override float | IntersectsMoving (float radius, Ray ray, float maxdistance)
| Checks for intersection between object and moving sphere.
void | Add (Point3D geoobject)
| PoinList is not dynamic, no adding possible.
IEnumerator< IGeometry > | GetEnumerator ()
## Properties
override bool | IsPrimitive`[get]`
| PointList is primitive.
override PrimitiveTypes | PreferredPrimitive`[get]`
| Pointlist prefers conversion to pointlist (no other is possible)
override bool | IsContainer`[get]`
| Point list can work as a container for points.
Point3D | this[int index]`[get, set]`
| Indexing acessors for object.
int | Count`[get]`
| Number of the objects in the container.

## Detailed Description

List of points.

## Constructor & Destructor Documentation

VisiMath.Geometry.Point3DList.Point3DList | ( | System.Xml.XmlReader | reader | ) |

XML reader constructor.

Parameters:

  reader | XML reader

VisiMath.Geometry.Point3DList.Point3DList | ( | int | count | ) |

Construct point list with specified number of vertices.

Parameters:

  count | Number of points

VisiMath.Geometry.Point3DList.Point3DList | ( | IVertexArray | source | ) |

Construct pointlist from vertex array.

Parameters:

  source | source vertex array

VisiMath.Geometry.Point3DList.Point3DList | ( | Type | VertexType,
|  | IVertexArray | source
| ) |  |

Construct pointlist from vertex array with different vertextype.

Parameters:

  source | source vertex array
  VertexType | Required type of the vertex

VisiMath.Geometry.Point3DList.Point3DList | ( | Type | VertexType,
|  | int | count
| ) |  |

Construct pointlist with specified vertex type and number of vertices.

Parameters:

  count | number of vertices
  VertexType | Required type of the vertex

## Member Function Documentation

void VisiMath.Geometry.Point3DList.Add | ( | Point3D | geoobject | ) |

PoinList is not dynamic, no adding possible.

Parameters:

  geoobject |

override bool VisiMath.Geometry.Point3DList.ContainsPosition | ( | Vector3 | pos | ) | `[virtual]`

Checks if specified position is inside the object.

Parameters:

  pos | Position to check

Returns:
  True if vector is inside the object

Implements VisiMath.Geometry.BaseGeometry.

override float VisiMath.Geometry.Point3DList.Distance | ( | ref Vector3 | pos | ) | `[virtual]`

For generic geometry returns distance from the center of the object.

Parameters:

  pos |

Returns:
  Closest distance to any point

Reimplemented from VisiMath.Geometry.BaseGeometry.

override float VisiMath.Geometry.Point3DList.Distance | ( | IGeometry | obj | ) | `[virtual]`

Returns closest distance from the generic geometric object.

Parameters:

  obj | Object to check distance with

Returns:
  Closest distance to the object

Reimplemented from VisiMath.Geometry.BaseGeometry.

override float VisiMath.Geometry.Point3DList.Distance | ( | Ray | ray,
|  | bool | frontOnly = `false`
| ) |  | `[virtual]`

Returns closest distance to the ray.

Parameters:

  ray | Ray to check distance to
  frontOnly | Check only objects in front of the origin

Returns:
  Closest distance to the ray, if frontOnly and object is behind the ray, returns NaN

Reimplemented from VisiMath.Geometry.BaseGeometry.

override float VisiMath.Geometry.Point3DList.DistanceLineSegment | ( | ref Vector3 | pos1,
|  | ref Vector3 | pos2
| ) |  | `[virtual]`

Returns closest distance to the line segment. Generic, from center, OVERRIDE!

param name="pos1">Start of the line

param name="pos2">end of the line

Returns:
  Closest distance

Reimplemented from VisiMath.Geometry.BaseGeometry.

override float VisiMath.Geometry.Point3DList.DistanceSphere | ( | ref Vector3 | center,
|  | float | radius
| ) |  | `[virtual]`

Returns closest distance to the sphere.

Parameters:

  center | center of the sphere
  radius | radius of the sphere

Returns:
  Closest distance

Reimplemented from VisiMath.Geometry.BaseGeometry.

override float VisiMath.Geometry.Point3DList.DistanceTriangle | ( | ref Vector3 | pos1,
|  | ref Vector3 | pos2,
|  | ref Vector3 | pos3
| ) |  | `[virtual]`

Returns closest distance to the triangle.

Parameters:

  pos1 | First corner
  pos2 | Second corner
  pos3 | Third corner

Returns:
  Distance

Reimplemented from VisiMath.Geometry.BaseGeometry.

override IGeometry VisiMath.Geometry.Point3DList.GetCopy | ( |  | ) | `[virtual]`

Returns copy of the geometric data.

Returns:
  Full copy of the geometry

Implements VisiMath.Geometry.BaseGeometry.

IEnumerator<IGeometry> VisiMath.Geometry.Point3DList.GetEnumerator | ( |  | ) |

override bool VisiMath.Geometry.Point3DList.GetIntersectionInfo | ( | Ray | obj,
|  | IntersectionList | ilist
| ) |  | `[virtual]`

Adds all points touching the ray to the list.

Parameters:

  ilist | List for intersections
  obj | Ray object

Returns:
  True if there was an intersection

Reimplemented from VisiMath.Geometry.BaseGeometry.

override bool VisiMath.Geometry.Point3DList.GetIntersectionInfo | ( | Ray | obj,
|  | ref IIntersectionInfo | inters
| ) |  | `[virtual]`

Check for intersection and fills intersection info if intersection is closer to the origin of the ray then value before.

Parameters:

  inters | Data structure with intersection info
  obj | Ray object

Returns:
  True if there was an intersection and it was closer then previous stored

Implements VisiMath.Geometry.BaseGeometry.

override Vector3 VisiMath.Geometry.Point3DList.IntersectionPoint | ( | IGeometry | obj | ) | `[virtual]`

Returns closest point of the intersection between object and ray.

Parameters:

  ray |

Returns:
  Point of intersection or invalid Vector3 (with double.NaN as values)

Reimplemented from VisiMath.Geometry.BaseGeometry.

override bool VisiMath.Geometry.Point3DList.Intersects | ( | IGeometry | obj | ) | `[virtual]`

Checks for intersection with generic geo object.

Parameters:

  obj | Object to check with

Returns:
  True if intersection exists

Reimplemented from VisiMath.Geometry.BaseGeometry.

override float VisiMath.Geometry.Point3DList.IntersectsMoving | ( | float | radius,
|  | Ray | ray,
|  | float | maxdistance
| ) |  | `[virtual]`

Checks for intersection between object and moving sphere.

param name="radius">Radius of the sphere

Parameters:

  maxdistance | Maximal distance to travel
  ray | Ray describing movement of the sphere

Returns:
  Distance to the intersection or -1 if no intersection exists

Implements VisiMath.Geometry.BaseGeometry.

override IndexedMesh VisiMath.Geometry.Point3DList.ToIndexedMesh | ( | Type | VertexType,
|  | float | quality = `0`,
|  | int | vertexlimit = `0`
| ) |  | `[virtual]`

Point list can't be converted to the mesh, returns null.

Implements VisiMath.Geometry.BaseGeometry.

override LineList VisiMath.Geometry.Point3DList.ToLines | ( | Type | VertexType,
|  | float | quality = `0`,
|  | int | vertexlimit = `0`
| ) |  | `[virtual]`

Point list can't be converted to the line list, returns null.

Implements VisiMath.Geometry.BaseGeometry.

override Point3DList VisiMath.Geometry.Point3DList.ToPoints | ( | Type | VertexType,
|  | float | quality = `0`,
|  | int | vertexlimit = `0`
| ) |  | `[virtual]`

No conversion needed, returns pointer to self unless diferent vertextype is requested.

Implements VisiMath.Geometry.BaseGeometry.

override TriangleList VisiMath.Geometry.Point3DList.ToTriangles | ( | Type | VertexType,
|  | float | quality = `0`,
|  | int | vertexlimit = `0`
| ) |  | `[virtual]`

Point list can't be converted to the triangle list, returns null.

Implements VisiMath.Geometry.BaseGeometry.

## Property Documentation

int VisiMath.Geometry.Point3DList.Count`[get]`

Number of the objects in the container.

Implements VisiMath.Geometry.IGeoContainer< T >.

override bool VisiMath.Geometry.Point3DList.IsContainer`[get]`

Point list can work as a container for points.

Reimplemented from VisiMath.Geometry.BaseGeometry.

override bool VisiMath.Geometry.Point3DList.IsPrimitive`[get]`

PointList is primitive.

Reimplemented from VisiMath.Geometry.BaseGeometry.

override PrimitiveTypes VisiMath.Geometry.Point3DList.PreferredPrimitive`[get]`

Pointlist prefers conversion to pointlist (no other is possible)

Reimplemented from VisiMath.Geometry.BaseGeometry.

Point3D VisiMath.Geometry.Point3DList.this[int index]`[get, set]`

Indexing acessors for object.

Parameters:

  index | index of object

Returns:
  Geoobject

Implements VisiMath.Geometry.IGeoContainer< T >.

The documentation for this class was generated from the following file:

- Points.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events